深入react技术栈源码启动问题

写意风流
  • 178

运行react技术栈源码的时候报错,开始按照书上将babel配置设为
图片描述

如图:2015时报错如下
图片描述

在网上了解了一下说是因为引用es6的语法不能识别,于是我引入了es2016中间件,并将上面babel配置2015改为2016,可是又报其他错误:
图片描述

请问是什么原因,又该怎么解决呢?

解决方法

采用楼下方案确实解决之前的问题,但是报新的错:
图片描述

google了一下,执行:
npm rebuild node-sass成功解决。
图片描述

成功运行。
到目前为止只是解决问题,不明白原理。希望有大神可以指点一下。这些问题是什么原因造成的。

回复
阅读 2k
3 个回答
"presets": ["es2015", "react", "stage-0"]

不知道你后来的babel是怎么配的,照这样试试?

上app.js的code

撰写回答
你尚未登录,登录后可以
  • 和开发者交流问题的细节
  • 关注并接收问题和回答的更新提醒
  • 参与内容的编辑和改进,让解决方法与时俱进
你知道吗?

宣传栏